curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter \
--header 'Authorization: <api-key>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"metadata": {},
"data": {
"voltages": [
{
"label": "<string>",
"tensao_nominal_de_saida_V": 123,
"tipo_ligacao": "<string>"
}
],
"inverterBrands": [
{
"label": "<string>",
"value": "<string>"
}
],
"inverterTypes": [
{
"label": "<string>",
"value": "<string>"
}
],
"modulePowers": [
{
"label": "<string>",
"value": "<string>"
}
],
"structures": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}"<unknown>"Obter filtros disponíveis
Filtros
curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter \
--header 'Authorization: <api-key>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/kits/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"metadata": {},
"data": {
"voltages": [
{
"label": "<string>",
"tensao_nominal_de_saida_V": 123,
"tipo_ligacao": "<string>"
}
],
"inverterBrands": [
{
"label": "<string>",
"value": "<string>"
}
],
"inverterTypes": [
{
"label": "<string>",
"value": "<string>"
}
],
"modulePowers": [
{
"label": "<string>",
"value": "<string>"
}
],
"structures": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}"<unknown>"Autenticação
OAuth 2.0 (Client Credentials): Obtenha um token viaPOST /oauth/token com suas credenciais de cliente.
curl -X POST https://backend-pied-prod.piedadmin.com.br/api/oauth/token \
-H "Content-Type: application/json" \
-d '{
"grant_type": "client_credentials",
"client_id": "SEU_CLIENT_ID",
"client_secret": "SEU_CLIENT_SECRET"
}'
Sobre este endpoint
Retorna os filtros disponíveis para cotação de kits, como tensões suportadas, marcas de inversores, tipos de inversores, potências de módulos e tipos de estrutura. Use os valores retornados aqui como entrada para o endpoint Obter kits disponíveis.Authorizations
Query Parameters
Tensão de saída. A API retornará a lista de kits disponíveis com inversores nesta tensão de saída. Opções disponíveis no retorno de "voltages" do endpoint "Obter filtros disponíveis". Onde tensao_nominal_de_saida_V é o inverterVoltage.
Tipo de conexão. A API retornará a lista de kits disponíveis com inversores neste tipo de conexão. Opções disponíveis no retorno de "voltages" do endpoint "Obter filtros disponíveis". Onde tipo_ligacao é o inverterConnectionType.
monofasico, trifasico Marca do Inversor. A API retornará a lista de kits disponíveis aplicando um filtro por essa marca de inversor. Opções disponíveis no retorno de "inverterBrands" do endpoint "Obter filtros disponíveis". Onde value é o inverterBrand.
Tipo de Inversor. A API retornará a lista de kits disponíveis aplicando um filtro por esse tipo de inversor. Opções disponíveis no retorno de "inverterType" do endpoint "Obter filtros disponíveis". Onde value é o inverterType.
string, hibrido, micro, solaredge